<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* Block Recent Comments: (c) 2002 by Guus Bosman. It is provided under */
/* the GNU General Public License as well. Please be warned that this   */
/* software is provided AS IS without any warranty of any kind.         */
/* Remarks? Please let me know at www1002@guusbosman.nl.                */
/*                                                                      */
/* http://www.guusbosman.nl                                             */
/************************************************************************/

/**
 This block shows the most recent comments on a PHP Nuke based website. 
 */

/*
 * You can adjust the number of comments to be displayed.
 */
$nr = 10;

/*
 * Important: setting this to 1 requires a change in your webserver's configuration (a redirect from article/* to modules/php?name=News...)
 */
$shorturl = 0;


if (eregi("block-Recent_Comments.php",$PHP_SELF)) {
    Header("Location: index.php");
    die();
}

global $prefix, $dbi, $anonymous;

$a = 1;

$content = "";
$result2 = sql_query("select name,sid,date,subject from ".$prefix."_comments order by date DESC limit $nr", $dbi);
while (list($c_name, $sid, $c_date,$c_subject) = sql_fetch_row($result2, $dbi)) {
    if ($a <= $nr) {
     
        $title2 = ereg_replace("_", " ", $title);
        if (!eregi("[a-z0-9]",$c_name)) $c_name = $anonymous;
        $nicedate = formatTimestamp($c_date);
        
        $c_subject = str_replace("Re:","",$c_subject);
        if ($shorturl) {
            $urlto = "article/$sid";
        } else {
            $urlto = "modules.php?name=News&amp;file=article&amp;sid=$sid";
        }
        $content .= "<a href=\"$urlto\" title=\"$nicedate\">$c_name</a>: $c_subject ";
        ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $c_date, $datetime);
        $day = $datetime[3];
        $month = $datetime[2];
        $daytoday = date("d");
        $monthtoday = date("m");
        
        $hour = $datetime[4];
        $minute = $datetime[5];
        if (($day == $daytoday) && ($month == $monthtoday)) { //ignoring year here.
            $content .= "<font class=\"tiny\">($hour:$minute)</font><br>";
        } else {
            
            $content .= "<font class=\"tiny\">(". intval($day) . "/" . intval($month) . ")</font><br>";  
        }      
    }
    $a++;
}


?>